Subject: Re: [EAI] double angle brackets

From: Shawn Steele <[email-masked]>
Date: Mon, 14 Sep 2009 07:12:18 +0000

Harald asked:

> As I've said several times before, the situation where <<>> has value is
> the situation where an EAI user sends a message to both an EAI user and
> a non-EAI user, and the non-EAI user replies to the message.

> Shawn, if you think that in this scenario, it's OK that the recipient
> EAI user does not get the reply from the non-EAI user, please say so
> explicitly.

No, I don't think that partial support in cases like this is helpful.

My current thinking is that:

1) Partial downgrade is worse than no downgrade.  Edge cases like this make the behavior difficult to predict, whereas with no downgrade users know to exchange their friendly-ASCII address.

2) I think that a downgrade solution cannot be sufficiently complete for cases like this unless it is algorithmic (eg: unmapped punycode/ACE).

- Shawn